Bug 472705 - CSS files reference missing ".png" files
CSS files reference missing ".png" files
Status: ASSIGNED
Product: Dogtag Certificate System
Classification: Community
Component: RA (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Harmsen
Ben Levenson
: Reopened
Depends On: 446662
Blocks: 530474
  Show dependency treegraph
 
Reported: 2008-11-23 17:06 EST by Matthew Harmsen
Modified: 2015-01-04 19:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 12:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2008-11-23 17:06:15 EST
+++ This bug was initially created as a clone of Bug #446662 +++

Description of problem:

In the default /etc/pki-ra/CS.cfg file, there are lots of templateDir properties
that point to /usr/share/fpki/ra/conf directory that should contain
mail_approve_request.vm and mail_create_request.vm.

However, in Dogtag, this directory is actually named /usr/share/pki/ra/conf.

Also, the /var/lib/pki-ra/docroot/css/pki-360.css CSS file refers to a
non-existing file (/var/lib/pki-ra/docroot/img/bkgrnd_greydots.png).

Similarly other CSS files.

--- Additional comment from mharmsen@redhat.com on 2008-11-23 16:52:39 EDT ---

Created an attachment (id=324446)
Changed "fpki"-->"pki" everywhere, and "tps"-->"ra" where appropriate

--- Additional comment from jmagne@redhat.com on 2008-11-23 16:59:18 EDT ---

Attachment (id=324446) +jmagne.

--- Additional comment from mharmsen@redhat.com on 2008-11-23 17:02:54 EDT ---

svn status

M      linux/ra/pki-ra.spec
M      linux/tps/pki-tps.spec
M      base/ra/setup/postinstall
M      base/ra/doc/CS.cfg
M      base/ra/lib/perl/PKI/RA/AdminPanel.pm
M      base/ra/lib/perl/PKI/RA/Login.pm
M      base/ra/lib/perl/PKI/RA/CertInfo.pm
M      base/ra/lib/perl/PKI/RA/ReqCertInfo.pm
M      base/tps/src/processor/RA_Enroll_Processor.cpp
M      base/tps/lib/perl/PKI/TPS/ReqCertInfo.pm

svn commit

Sending        base/ra/doc/CS.cfg
Sending        base/ra/lib/perl/PKI/RA/AdminPanel.pm
Sending        base/ra/lib/perl/PKI/RA/CertInfo.pm
Sending        base/ra/lib/perl/PKI/RA/Login.pm
Sending        base/ra/lib/perl/PKI/RA/ReqCertInfo.pm
Sending        base/ra/setup/postinstall
Sending        base/tps/lib/perl/PKI/TPS/ReqCertInfo.pm
Sending        base/tps/src/processor/RA_Enroll_Processor.cpp
Sending        linux/ra/pki-ra.spec
Sending        linux/tps/pki-tps.spec
Transmitting file data ..........
Committed revision 144.

--- Additional comment from mharmsen@redhat.com on 2008-11-23 17:04:21 EDT ---

While the title of this bug has been addressed, there are still missing ".png" files from the various CSS files.  Cloning this bug to address this issue separately, and closing this bug.
Comment 1 Matthew Harmsen 2009-03-26 12:22:58 EDT
This appears to consist of warnings in the log file, and while it could be cleaned up by removing the various non-existent images from all of the ".css" files, this does not cause any problems in server operation.  Therefore, closing this bug as WON'T FIX.
Comment 2 Matthew Harmsen 2009-03-26 22:11:13 EDT
Re-opening as this MAY cause issues on browsers other than Firefox 2.0.

Note You need to log in before you can comment on or make changes to this bug.